package ch.netzschmiede.flarmradar.srv.flarmdata;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.Date;

import javax.annotation.Resource;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.sql.DataSource;

import ch.netzschmiede.flarmradar.api.flarmdata.IDateServiceRemote;

@Stateless
@LocalBean
public class DateService implements IDateServiceRemote {
	
	@Resource(type = DataSource.class, mappedName = "java:jboss/datasources/FlarmradarDS")
	DataSource datasource;
	private Connection connection;
	
	public Date getCurrentDate() {
		
		try {
			connection = this.datasource.getConnection();
			if (null != connection) {
				System.out.println("Jupijeah!");
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		return new Date();
	}
	
}
